# ifndef PawnTestCase_h
# define PawnTestCase_h
#include "TestHeader.h"


class PawnTestCase:
  public TestCase
{
public:
  PawnTestCase (std::string name="") : TestCase (name) {}
  static Test		*suite ();
protected:
  void moveGeneration();
  void captures();
  void doubleStep();
  void promotion();
};
#endif
